This is a Laravel 5 package that provides sharzon-test management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `sharzon-test/sharzon-test`.

    "sharzon-test/sharzon-test": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider::class,

```

And also add it to alias

```php
'SharzonTest'  => SharzonTest\SharzonTest\Facades\SharzonTest::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="SharzonTest\SharzonTest\Providers\SharzonTestServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


