<?php

// Admin  routes  for sharzon_test
Route::group(['prefix' => '/admin/sharzon-test'], function () {
    Route::put('news/workflow/{sharzon_test}/{step}', 'SharzonTestAdminController@putWorkflow');
    Route::resource('sharzon_test', 'SharzonTestAdminController');
});


// User  routes for sharzon_test
Route::group(['prefix' => '/user/sharzon-test'], function () {
    Route::resource('sharzon_test', 'SharzonTestUserController');
});

// Public  routes for sharzon_test
Route::group(['prefix' => '/sharzon-tests'], function () {
    Route::get('news/workflow/{sharzon_test}/{step}/{user}', 'SharzonTestController@getWorkflow');
    Route::get('/', 'SharzonTestPublicController@index');
    Route::get('/{slug?}', 'SharzonTestPublicController@show');
});


