<?php

namespace SharzonTest\SharzonTest\Repositories\Eloquent;

use SharzonTest\SharzonTest\Interfaces\SharzonTestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SharzonTestRepository extends BaseRepository implements SharzonTestRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('sharzon-test.sharzon-test.sharzon_test.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('sharzon-test.sharzon-test.sharzon_test.model');
    }
}
