<?php

namespace SharzonTest\SharzonTest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SharzonTestListTransformer extends TransformerAbstract
{
    public function transform(\SharzonTest\SharzonTest\Models\SharzonTest $sharzon_test)
    {
        return [
            'id'                => $sharzon_test->getRouteKey(),
            'Ololo'             => $sharzon_test->Ololo,
            'status'            => trans('app.'.$sharzon_test->status),
            'created_at'        => format_date($sharzon_test->created_at),
            'updated_at'        => format_date($sharzon_test->updated_at),
        ];
    }
}